Bug 134150 - Rework audio/exaile-devel
Summary: Rework audio/exaile-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-02 00:30 UTC by Joseph S. Atkinson
Modified: 2009-05-18 21:10 UTC (History)
1 user (show)

See Also:


Attachments
exaile-devel_revamp.diff (18.20 KB, patch)
2009-05-02 00:30 UTC, Joseph S. Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-05-02 00:30:01 UTC

audio/exaile-devel, originally retooled from audio/exaile, has a lot of cruft that isn't quite needed anymore. This is a rework to make it cleaner, and not force optional depends on people.

Being written in python though, if any of the OPTIONS are install on the system, those features will be turned on regardless of explicit dependancy.
Comment 1 Martin Wilke freebsd_committer 2009-05-02 08:16:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-05-17 14:40:34 UTC
Responsible Changed
From-To: miwi->dhn

my mentee is boring, he'll have fun with this one.
Comment 3 Dennis Herrmann freebsd_committer 2009-05-18 21:03:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-05-18 21:04:02 UTC
dhn         2009-05-18 20:03:28 UTC

  FreeBSD ports repository

  Modified files:
    audio/exaile-devel   Makefile pkg-plist 
  Added files:
    audio/exaile-devel/files patch-Makefile 
  Log:
  - Port cleanup
  - Bump PORTREVISION
  
  PR:             ports/134150
  Submitted by:   "Joseph S. Atkinson" <jsa@wickedmachine.net> (maintainer)
  Approved by:    miwi (mentor implicit)
  
  Revision  Changes    Path
  1.16      +44 -16    ports/audio/exaile-devel/Makefile
  1.1       +21 -0     ports/audio/exaile-devel/files/patch-Makefile (new)
  1.9       +214 -213  ports/audio/exaile-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"